#ifndef INCL_MYPAD_H
#define INCL_MYPAD_H

#include "device.h"
#include "misc.h"
#include "if/ifcommon.h"

// ---------------------------------------------------------------------------

class Mypad
{
public:
	Mypad();
	~Mypad();
	void Reset();
	void Open(LOGCONTEXT _lc);
	void SetStatusMessage(char *message);

	void Out20(uint);
	uint SetValue(byte* buf, PACKET& packet, bool valid, DWORD tick);

private:
	LOGCONTEXT lc;
	uint	mode;
	int		x;
	int		y;
	DWORD	buttons;
	bool	valid;
	DWORD	tick;
};

#endif // INCL_MYPAD_H
